# Google Cloud Profiler V2 Client - Class ListProfilesRequest (2.1.2)

2.1.2 (latest) 2.1.1 2.0.4 1.4.3 1.3.0 1.2.4 1.1.1 1.0.3 Reference documentation and code samples for the Google Cloud Profiler V2 Client class ListProfilesRequest.

ListProfilesRequest contains request parameters for listing profiles for
deployments in projects which the user has permissions to view.

Generated from protobuf message `google.devtools.cloudprofiler.v2.ListProfilesRequest`

## Namespace

Google \\ Cloud \\ Profiler \\ V2

## Methods

### __construct

Constructor.

| **Parameters** ||
|---|---|
| **Name** | **Description** |
| `data` | `array` Optional. Data for populating the Message object. |
| `↳ parent` | `string` Required. The parent, which owns this collection of profiles. Format: projects/{user_project_id} |
| `↳ page_size` | `int` The maximum number of items to return. Default page_size is 1000. Max limit is 1000. |
| `↳ page_token` | `string` The token to continue pagination and get profiles from a particular page. When paginating, all other parameters provided to `ListProfiles` must match the call that provided the page token. |

### getParent

Required. The parent, which owns this collection of profiles.

Format: projects/{user_project_id}

| **Returns** ||
|---|---|
| **Type** | **Description** |
| `string` |   |

### setParent

Required. The parent, which owns this collection of profiles.

Format: projects/{user_project_id}

| **Parameter** ||
|---|---|
| **Name** | **Description** |
| `var` | `string` |

| **Returns** ||
|---|---|
| **Type** | **Description** |
| `$this` |   |

### getPageSize

The maximum number of items to return.

Default page_size is 1000.
Max limit is 1000.

| **Returns** ||
|---|---|
| **Type** | **Description** |
| `int` |   |

### setPageSize

The maximum number of items to return.

Default page_size is 1000.
Max limit is 1000.

| **Parameter** ||
|---|---|
| **Name** | **Description** |
| `var` | `int` |

| **Returns** ||
|---|---|
| **Type** | **Description** |
| `$this` |   |

### getPageToken

The token to continue pagination and get profiles from a particular page.

When paginating, all other parameters provided to `ListProfiles` must match
the call that provided the page token.

| **Returns** ||
|---|---|
| **Type** | **Description** |
| `string` |   |

### setPageToken

The token to continue pagination and get profiles from a particular page.

When paginating, all other parameters provided to `ListProfiles` must match
the call that provided the page token.

| **Parameter** ||
|---|---|
| **Name** | **Description** |
| `var` | `string` |

| **Returns** ||
|---|---|
| **Type** | **Description** |
| `$this` |   |

### static::build

| **Parameter** ||
|---|---|
| **Name** | **Description** |
| `parent` | `string` Required. The parent, which owns this collection of profiles. Format: projects/{user_project_id} Please see ExportServiceClient::projectName() for help formatting this field. |

| **Returns** ||
|---|---|
| **Type** | **Description** |
| `https://docs.cloud.google.com/php/docs/reference/cloud-profiler/latest/V2.ListProfilesRequest` |   |